.upload-question-result-modal{

    
    .rs-modal {
      height: 100vh;
      width: 100vw;
      
      &-dialog {
        width:100%;
      }
      &-body {
        margin: 0;
        padding: 0px;
        max-height: 90vh !important; 
        height: 85vh;
        border-radius: 10px;
        @media (max-width: 768px) {
            height: 95vh;        
        }  
      }
      &-content{
        border-radius: 10px;
        padding: 0;
        height: 100%;
        width: inherit;            
      }
    }
    &-custom{
        margin: 0 auto;
        display: flex !important;
        justify-content: center;
        align-items: center;
        width: 85%;
        height: 100%;
        background: initial !important;
        @media (max-width: 768px) {
            width: 100%;        
        }  
    }
    .modal-header{
        display: flex;
        align-items: center ;
        justify-content: space-between;
        font-size: 18px;
        font-family: 'Montserrat SemiBold';
        padding: 10px 35px;
        color: #FFFFFF;
        &__success{
            background-color: #68AC8E;
        }
        &__fail{
            background-color: #C96953;
        }
        
    }
    .modal-sub-content{
        border-radius: 0 0 10px 10px;
        background-color: #E7E6EF;
        padding: 0 35px 0px;
        height: calc(100% - 60px);
    }
    .option-btn {
        border-radius: 25%;
        background-color: #FFFFFF1A;
        height: 40px;
        width: 40px;
        position: relative;
        cursor: pointer;
        img {
            width: 100%;
            height: 100%;
            object-fit: contain;
            object-position: center;
        }
    }
    
    .general-result{
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 20%;
        .total-info{
            display: flex;
            flex-direction: column;
            align-items: center;
            border-right: 1px solid #364554;
            height: 70%;
            line-height: 10px ;
            font-size: 12px;
            &:nth-child(1){
                width: 36%;
                align-items: flex-end;
            }
            &:nth-child(2){
                width: 25% ;
                align-items: center;
            }
            &:nth-child(3){
                width: 36%;
                align-items: flex-start;
                padding-left: 50px;
                & > div {
                    width: 40%;
                }
            }
            .info-col-1{
                justify-content: flex-end;
                align-items: center;
                height: 30%;
                width: 50%;
            }
            .result-section{
                display: flex;
                width: 70%;
                font-family: 'Montserrat Italic';
            }
            & > div{
                width: 60%;
                height: 30%;
                display: flex;
                align-items: center;
            }
            & > div > span:first-of-type{
                font-family: 'Montserrat Italic';
                flex: 1
            }
            & > div > span {
                font-family: 'Montserrat SemiBold';
                font-style: italic;
                flex: 1
            }
            .value-result{
                font-family: 'Montserrat SemiBold';
                font-style: italic;
                flex: 1;
            }
            
        }
        .color-mark{
            width: 16px;
            max-width: 16px;;
            height: 8px;
            border-radius: 25px;
            margin-right: 15px;
        }
        @media (max-width: 800px){
            width: 100%;   
        }
    }
    @media only screen and (max-width:1550px){   
        .general-result{
            width: 100%;
            .total-info{
                width: 33%;
                .info-col-1{
                    width: 95% !important;
                    height: 75% !important;
                }
                & > div{
                    width: 86% !important;
                    height: 75% !important;
                    align-items: center;
                }
            }
        }
    }
    @media only screen and (max-width:1050px){   
        .general-result{
            width: 100%;
            .total-info{
                width: 33%;
                .info-col-1{
                    width: 100% !important;
                    height: 85% !important;
                    .result-section{
                        width: 85% !important;
                    }
                }
                & > div{
                    width: 90% !important;
                    align-items: center;
                    height: 85%!important;

                }
            }
        }
    }
    @media only screen and (max-width:700px){   
        .general-result{
            width: 100%;
            .total-info{
                width: 33%;
                .info-col-1{
                    width: 100% !important;
                    height: 90% !important;
                    .result-section{
                        width: 85% !important;
                    }
                }
                & > div{
                    width: 95% !important;
                    align-items: center;
                    height: 90% !important;
                }
            }
        }
    }

    .result-table{
        position: relative;
        display:block;
        width: 100%;
        height: 80%;
        border-radius: 10px 10px 0 0;
        box-shadow: 0 3px 3px #ccc;
        background-color: #FFFFFF;
        white-space: nowrap;
        .file-download-btn{
            display: flex;
            align-items: center;
            justify-content: center;
            width: 96px;
            height: 28px;
            border-radius: 8px;
            color: white;
            background-color: #6869AA;
            font-size: 12px;
            font-family: 'Montserrat Regular';
            position: absolute;
            top: 0;
            
            transform: translate(-16px, 6px);
            .img{
                width: 100%;
                height: 100%;
                object-fit: contain;
                object-position: center;
            }
        }
        .elipsis-cell{
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            display: block;
        }
        .wrap-cell{
            white-space: pre-wrap;
            word-wrap: break-word;
            text-align: left;
            overflow-wrap: anywhere;
        }
        .select-result{
            display:flex;
            justify-content: space-evenly;
            background-color: #E7E6EF;
            
        }
        .table-header{
            display: flex;
            align-items: center ;
            justify-content: center;
            font-size: 15px;
            font-family: 'Montserrat SemiBold';
            height: 40px;
            padding: 10px;
            background-color: #D4D4DD;
            border-radius: 10px 10px 0 0;
            // border-bottom: 1px solid #ccc;
            box-shadow: 0 1px 1px #ccc;
            cursor: pointer;
            &__success{
                color: #68AC8E;  
                width: 50%; 
                &[data-active="true"]{
                    background-color: #FFFFFF ;
                }
            }
            &__fail{
                color: #C96953;
                width: 50%;
                &[data-active="true"]{
                    background-color: #FFFFFF ;
                }
            }
        }
        .sticky-title{
            height: 50px;
            position: absolute;
            top: 0px;
            display: flex;
            left: 0px;
            background: #FFFFFF;
            z-index: 10;
            justify-content: center;
            align-items: center;
            .sticky-element{
                border: 1px solid #ccc;
                // border-collapse: separate;
                height: 100%;
                align-items: center;
                display: flex;
                justify-content: center;
                font-size: 12px;
                font-family: 'Montserrat SemiBold';
                word-wrap: break-word;
                white-space: normal;
            
            }
        }
        .text-center{
            text-align: center;
        }
        &__success{
            table{
                border-style: hidden;
                border-collapse: separate;
                table-layout: fixed;
                width: 100px;
                font-size: 12px;
                text-align: center;
                background-color: #FFFFFF;
                border-spacing: 0;
                thead{
                    tr {
                        background: #FFFFFF;
                        th {
                            height: 50px;
                            font-family: 'Montserrat SemiBold';
                            word-wrap: break-word;
                            white-space: normal;
                            border: 1px solid #ccc;
                            // border-collapse: separate;
                            position: sticky;
                            top: 0;
                            background: #FFFFFF;
                            &:nth-child(n){
                                width: 150px;
                            }
                            &:nth-child(n-1){
                                border-right: none;
                            }
                            &:first-child{
                                width: 15px;
                                max-width: 15px;
                                border-style: hidden;
                                position: sticky;
                                left: 0;
                                background: #FFFFFF;
                            } 
                            &:last-child{
                                width: 15px;
                                max-width: 15px;
                                border-style: hidden;
                            }
                            &:nth-child(2) {
                                width: 30px;
                                max-width: 30px;
                                position: sticky;
                                left: 15px;
                                z-index: 2;
                                background: #FFFFFF;
                                border-left: none;
                            }
                            &:nth-child(3){
                                position: sticky;
                                left: 45px;
                                z-index: 2;
                                width: 120px;
                                max-width: 120px;
                                background: #FFFFFF;
                                border: 1px solid #ccc;
                                border-collapse: separate;
                            }
                            &:nth-child(4) {
                                width: 120px;
                            }
                            &:nth-child(5) {
                                width: 400px;
                            }
                            &:nth-child(6), &:nth-child(7){
                                width: 250px;
                            }
                        }
                    }
                }
                tbody{
                    vertical-align: text-top;
                    tr{
                        &:hover {
                            td{
                                white-space: pre;
                                background-color: #ECF8FE !important;
                            }
                        }
                        td{
                            & > span{
                                white-space: pre-wrap !important;
                                padding: 8px 0px;
                            }
                            text-align: left;
                            font-family: 'Montserrat Regular' !important;
                            padding: 5px;
                            border: 1px solid #ccc;
                            overflow: hidden;
                            // border: 1px solid #ccc;
                            // border-collapse: separate;
                            &:nth-child(n){
                                width: 150px;
                            }
                            &:nth-child(n-1){
                                border-right: none;
                            }
                            &:first-child{
                                width: 15px;
                                max-width: 15px;
                                border-style: hidden;
                                position: sticky;
                                left: 0;
                                background: #FFFFFF;
                                &:hover {
                                    background-color: #FFFFFF!important;
                                }
                            } 
                            &:last-child {
                                border-style: hidden;
                                width: 15px;
                            }
                            &:nth-child(2) {
                                width: 30px;
                                max-width: 15px;
                                text-align: justify;
                                position: sticky;
                                left: 15px;
                                z-index: 2;
                                background-color: #FFFFFF;
                                border-left: none;
                            }
                            &:nth-child(3){
                                position: sticky;
                                left: 45px;
                                z-index: 2;
                                width: 120px;
                                max-width: 120px;
                                background: #FFFFFF;
                                border: 1px solid #ccc;
                                border-collapse: separate;
                            }
                            &:nth-child(4) {
                                width: 120px;
                            }
                            &:nth-child(5) {
                                width: 400px;
                            }
                            &:nth-child(6), &:nth-child(7){
                                width: 250px;
                            }
                        }
                    }
                }
            }
        }
        
        &__fail{
            table{
                border-style: hidden;
                border-collapse: separate;
                table-layout: fixed;
                width: 100px;
                font-size: 12px;
                text-align: center;
                background-color: #FFFFFF;
                thead{
                    tr {
                        background: #FFFFFF;
                        th {
                            height: 50px;
                            font-family: 'Montserrat SemiBold';
                            word-wrap: break-word;
                            white-space: normal;
                            border: 1px solid #ccc;
                            border-collapse: separate;
                            position: sticky;
                            top: 0;
                            background: #FFFFFF;
                            &:nth-child(n) {
                                width: 150px;
                            }
                            &:nth-child(n-1){
                                border-right: none;
                            }
                            &:first-child{
                                width: 15px;
                                max-width: 15px;
                                border-style: hidden;
                                position: sticky;
                                left: 0;
                                background: #FFFFFF;
                            } 
                            &:last-child{
                                width: 15px;
                                border-style: hidden;
                            }
                            &:nth-child(2) {
                                width: 30px;
                                max-width: 30px;
                                position: sticky;
                                left: 15px;
                                z-index: 2;
                                background: #FFFFFF;
                                border-left: none;
                            }
                            &:nth-child(3) {
                                width: 200px;
                                max-width: 200px;
                                position: sticky;
                                left: 45px;
                                z-index: 2;
                                background: #FFFFFF;
                            }
                            &:nth-child(4){
                                width: 120px;
                                position: sticky;
                                left: 245px;
                                z-index: 2;
                                background: #FFFFFF;
                                border-collapse: separate;
                                border: 1px solid #ccc;
                            }
                            &:nth-child(5) {
                                width: 120px;
                            }
                            &:nth-child(6) {
                                width: 400px;
                            }   
                            &:nth-child(7), &:nth-child(8) {
                                width: 250px;
                            }              
                        }
                    }   
                }
                tbody{
                    vertical-align: text-top;
                    tr{
                        &:hover {
                            td{
                                white-space: pre;
                                background-color: #ECF8FE !important;
                            }
                        }
                        td{
                           
                            & > span{
                                white-space: pre-wrap !important;
                                padding: 8px 0px;
                            }
                            text-align: left;
                            font-family: 'Montserrat Regular' !important;
                            padding: 5px;
                            border: 1px solid #ccc;
                            // border-collapse: separate;
                            // overflow: hidden;
                            &:nth-child(n) {
                                width: 150px;
                            }
                            &:nth-child(n -1){
                                border-right: none;
                            }
                            &:first-child{
                                width: 15px;
                                border-style: hidden;
                                position: sticky;
                                left: 0;
                                background: #FFFFFF;
                                &:hover {
                                    background-color: #FFFFFF!important;
                                }
                            } 
                            &:last-child {
                                border-style: hidden;
                                width: 15px;
                            }
                            &:nth-child(2) {
                                width: 30px;
                                position: sticky;
                                left: 15px;
                                z-index: 2;
                                background: #FFFFFF;
                                border-left: none;
                            }
                            &:nth-child(3) {
                                width: 200px;
                                max-width: 200px;
                                position: sticky;
                                left: 45px;
                                z-index: 2;
                                background: #FFFFFF;
                            }
                            &:nth-child(4){
                                width: 120px;
                                position: sticky;
                                left: 245px;
                                z-index: 2;
                                background: #FFFFFF;
                                border: 1px solid #ccc;
                                border-collapse: separate;
                            }
                            &:nth-child(5) {
                                width: 120px;
                            }
                            &:nth-child(6) {
                                width: 400px;
                            }   
                            &:nth-child(7), &:nth-child(8) {
                                width: 250px;
                            }
                        }
                    }
                }
            }
        }

        .btn-scroll{
            width: 16px;
            height: 16px;
            background: #eee;
            position: absolute;
            cursor: pointer;
            display: none;
            justify-content: center;
            align-items: center;
            border: 1px solid #bbb;
            &__back{
                left: 0px;
                bottom: 0px;
            }
            &__next{
                right: 16px;
                bottom: 0px;
            }
            &__up{
                top: 0px;
                right: 0px;
            }
            &__down{
                bottom: 16px;
                right: 0px;
            }
            .arrow{
                width: 0;
                height: 0;
                
                &__back{
                    border-top: 5px solid transparent;
                    border-bottom: 5px solid transparent;
                    border-right: 8px solid #aaa;
                }
                &__next{
                    border-top: 5px solid transparent;
                    border-bottom: 5px solid transparent;
                    border-left: 8px solid #aaa;
                }
                &__up{
                    border-left: 5px solid transparent;
                    border-right: 5px solid transparent;
                    border-bottom: 8px solid #aaa; ;
                }
                &__down{
                    border-left: 5px solid transparent;
                    border-right: 5px solid transparent;
                    border-top: 8px solid #aaa; ;
                }
            }
        }
        // .btn-back-scroll{
        //     width: 16px;
        //     height: 16px;
        //     background: #eee;
        //     left: 0px;
        //     bottom: 0px;
        //     position: absolute;
        //     cursor: pointer;
        //     display: flex;
        //     justify-content: center;
        //     align-items: center;
        //     border: 1px solid #bbb;

        //     .arrow-back{
        //         width: 0;
        //         height: 0;
        //         border-top: 5px solid transparent;
        //         border-bottom: 5px solid transparent;
        //         border-right: 8px solid #888;
        //     }
        // }
        // .btn-next-scroll{
        //     width: 16px;
        //     height: 16px;
        //     background: #eee;
        //     right: 16px;
        //     bottom: 0px;
        //     position: absolute;
        //     cursor: pointer;
        //     display: flex;
        //     justify-content: center;
        //     align-items: center;
        //     border: 1px solid #bbb;

        //     .arrow-next{
        //         width: 0;
        //         height: 0;
        //         border-top: 5px solid transparent;
        //         border-bottom: 5px solid transparent;
        //         border-left: 8px solid #888;
        //     }
        // }

        ::-webkit-scrollbar {
            width: 16px;
            height: 16px;
        }
        
        ::-webkit-scrollbar-corner,
        ::-webkit-scrollbar-track {
            background-color:#eee;
        }
        
        ::-webkit-scrollbar-thumb {
            background-clip: padding-box;
            border: none;
            background-color: #ccc;
        }
        
        ::-webkit-scrollbar-thumb:hover {
            background-color: #bbb;
        }
        
        ::-webkit-scrollbar-thumb:active {
            background-color: #aaa;
        }
        /* Buttons */
        ::-webkit-scrollbar-button:single-button:horizontal {
            background-color: #ddd;
            display: block;
            pointer-events: none !important;
            background-size: 10px;
            background-repeat: no-repeat;
        }

    }
}
